<?php

namespace App\Classes\Modules\Banks\Standards\Validators;

use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Banks\DataTransferObjects\BankMetadataObject;

class BankMetadataValidation extends AbstractValidation
{
    /**
     * @param BankMetadataObject $object
     * @return array
     */
    protected function data($object): array
    {
        return [
            'transaction_id' => $object->getTransactionId(),
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array
    {
        return [
            'transaction_id' => 'required',
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array
    {
        return [];
    }
}
